### Method

# Gegl Buffer introspectable_set

#### Declaration [src]

    void
    gegl_buffer_introspectable_set (
      GeglBuffer* buffer,
      const GeglRectangle* rect,
      const gchar* format_name,
      const guchar* src,
      gint src_length
    )

#### Description [src]

Store a linear raster buffer into the GeglBuffer.

This method is renamed to `gegl_buffer_set()` in language bindings

#### Parameters

`rect`

  Type: `GeglRectangle`

  The rectangle to write.

  The data is owned by the caller of the function.

`format_name`

  Type: `const gchar*`

  The format of the input data.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`src`

  Type: An array of `guchar`

  Pixel data to write to `buffer`.

  The length of the array is specified in the `src_length` argument.
  The data is owned by the caller of the function.

`src_length`

  Type: `gint`

  The lenght of src in bytes.